Set Defined Entity Type Access

Set Defined Entity Type Access
Sets the access control configuration of the entity type's behaviors

Sets the access control configuration of the entity type's behaviors

Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/entityTypes/{id}/behaviorAccessControls
COPY
Path Parameters
string
id
Required

id


Request Body
BehaviorAccesses of type(s) application/json
Required
This request body class requires all of the following: Page , InlineBehaviorAccesses1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "behaviorId": "urn:vcloud:behavior-interface:testNode:vendorA:containerCluster:1.0.0",
            "accessLevelId": "urn:vcloud:accessLevel:ReadOnly"
        }
    ]
}
Authentication
This operation uses the following authentication methods.
Responses
200

Ok

Returns BehaviorAccesses of type(s) application/json;version=9.1.0
This response body class contains all of the following: Page , InlineBehaviorAccesses1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "behaviorId": "urn:vcloud:behavior-interface:testNode:vendorA:containerCluster:1.0.0",
            "accessLevelId": "urn:vcloud:accessLevel:ReadOnly"
        }
    ]
}

400

Invalid configuration.

Returns Error of type(s) application/json;version=9.1.0
{
    "minorErrorCode": "string",
    "message": "string",
    "stackTrace": "string"
}

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Modern"}]
                
Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/cloudapi/1.0.0/entityTypes/{id}/behaviorAccessControls